routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home');

Route::post('admin/login', 'Admin\AdminController@login');
Route::group(['middleware' => ['auth:admin,admin_tutor']], function(){
    Route::post('admin/logout', 'Admin\AdminController@logout');
    Route::get('materi/get/{type}/{name}/{ext}', 'Admin\MateriController@get');
    Route::get('admin/materi/generate-thumbnail', 'Admin\MateriController@generateThumbs');
    Route::resource('admin/materi', 'Admin\MateriController');
    Route::resource('admin/kategori', 'Admin\KategoriController');
    Route::resource('admin/sekolah', 'Admin\SekolahController');
    Route::resource('admin/guru', 'Admin\GuruController');
    Route::resource('admin/soal', 'Admin\SoalController');
    Route::get('admin/user/resetpass/{id}', 'Admin\UserController@resetpass')->name('user-resetpass');
    Route::post('admin/user/add/single', 'Admin\UserController@single')->name('user-single');
    Route::post('admin/user/add/bulk', 'Admin\UserController@bulk')->name('user-bulk');
    Route::get('admin/user/add/bulk', function (){
        return response()->download(storage_path('app/public/template.xls'));
    })->name('user-bulk-template');
    Route::resource('admin/user', 'Admin\UserController');
    Route::resource('admin/tutor', 'Admin\TutorController');
    Route::resource('admin/payment', 'Admin\PaymentController');
    Route::post('admin/subscription/add/bulk', 'Admin\SubscriptionController@bulk')->name('subscription-bulk');
    Route::resource('admin/subscription', 'Admin\SubscriptionController');
    Route::resource('admin/news', 'Admin\NewsController');
    Route::resource('admin/settings', 'Admin\ServerSettingsController');
    Route::resource('admin/lembaga', 'Admin\LembagaController');
    Route::post('admin/nilai/delcid', 'Admin\ScoreController@deleteScoreCID')->name('delete-score-cid');
    Route::post('admin/nilai/massscoredelete', 'Admin\ScoreController@massScoreDelete')->name('mass-score-delete');
    Route::get('admin/nilai/hapuslaporan', 'Admin\ScoreController@massScoreDeleteView');
    Route::resource('admin/nilai', 'Admin\ScoreController');
    Route::resource('admin', 'Admin\AdminController');
});

app/Lembaga.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Lembaga extends Model
{
    //
    protected $table = 'lembaga';
}

app/Http/Controllers/Admin/LembagaController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Lembaga;
use http\Client\Curl\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class LembagaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $lembaga_arr = Lembaga::all();
        return response(view('admin.lembaga.index')->with([
            'lembaga_arr' => $lembaga_arr
        ]));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $numbers = str_split((string)(int)microtime(true));
        shuffle($numbers);
        $rand = '';
        foreach (array_rand($numbers, 6) as $k) $rand .= $numbers[$k];

        $lembaga = new Lembaga();
        $lembaga->nama = $request->nama;
        $lembaga->kode = $rand;
        $saved = $lembaga->save();
        if ($saved) return redirect()->back()->with('success', "Penambahan lembaga berhasil");
        else return redirect()->back()->with('error', "Penambahan lembaga gagal");
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $lembaga = Lembaga::find($id);
        $lembaga->nama = $request->nama;
        $saved = $lembaga->save();
        if ($saved) return redirect()->back()->with('success', "Berhasil mengubah data lembaga");
        else return redirect()->back()->with('error', "Gagal mengubah data lembaga");
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $users = User::where('lembaga', $id)->get();
        foreach ($users as $user) {
            $user->lembaga = 'default';
            $user->save();
        }
        $lembaga = Lembaga::find($id);
        $lembaga->delete();
        return redirect()->back()->with('success', "Berhasil menghapus data lembaga");
    }
}

resources/views/admin/lembaga/create.blade.php
@extends('adminlte::page')

@section('title', 'Lembaga')

@section('content_header')

@endsection

@section('content')

@endsection

resources/views/admin/lembaga/edit.blade.php
@extends('adminlte::page')

@section('title', 'Lembaga')

@section('content_header')

@endsection

@section('content')

@endsection

resources/views/admin/lembaga/index.blade.php
@extends('adminlte::page')

@section('title', 'Lembaga')

@section('content_header')
        <div class='page-header' style="margin: 0; padding: 0;">
            <div class='btn-toolbar pull-right'>
                <div class='btn-group'>
                    <button type='button' class='btn btn-primary' data-toggle="modal"
                            data-target='#tambah'>Tambah Lembaga</button>
                </div>
            </div>
            <h1>Lembaga</h1>
        </div>

    @if (($message = Session::get('success')) || ($message = Session::get('error')))
        <div class="alert alert-{{ Session::get('success') ? 'success' : 'danger'}} alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            {!! $message !!}
        </div>
    @endif
@endsection

@section('content')
    @php($start = 0)
    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <table id="lembaga" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th style="width: 1%">No.</th>
                                    <th>Nama Lembaga</th>
                                    <th>Kode Lembaga</th>
                                    <th style="width: 10%">Aksi</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($lembaga_arr as $lembaga)
                                    <tr>
                                        <td>{{ ++$start }}.</td>
                                        <td>{{ $lembaga->nama }}</td>
                                        <td>{{ $lembaga->kode }}</td>
                                        <td><button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                                                    data-target="#aksi-{{ $lembaga->id }}">UBAH
                                            </button></td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @foreach($lembaga_arr as $lembaga)
        <div class="modal fade" id="aksi-{{ $lembaga->id }}" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="{{ route('lembaga.update', $lembaga->id) }}" method="POST">
                        @method('PATCH')
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"
                                    aria-label="Close">
                                <span aria-hidden="true">×</span></button>
                            <h4 class="modal-title">Edit Lembaga: {{ $lembaga->nama }}</h4>
                        </div>
                        <div class="modal-body">
                            @csrf
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="kategori">Nama Kategori</label>
                                    <input type="text" class="form-control" id="kategori" placeholder="Masukkan nama kategori" name="nama" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;" value="{{ $lembaga->nama }}" required>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <a href="{{ route('lembaga.destroy', $lembaga->id) }}" class="btn btn-danger pull-left">Hapus Lembaga</a>
                            <button type="button" class="btn btn-default"
                                    data-dismiss="modal">Batal
                            </button>
                            <button type="submit" class="btn btn-primary">Simpan</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endforeach
    <div class="modal fade" id="tambah" style="display: none;">
        <div class="modal-dialog">
            <div class="modal-content">
                <form action="{{ route('lembaga.store') }}" method="POST">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">×</span></button>
                        <h4 class="modal-title">Tambah Lembaga</h4>
                    </div>
                    <div class="modal-body">
                        @csrf
                        <div class="box-body">
                            <div class="form-group">
                                <label for="nama">Nama Lembaga</label>
                                <input type="text" class="form-control" id="nama" placeholder="Masukkan nama lembaga" name="nama" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;" required>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default"
                                data-dismiss="modal">Batal
                        </button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('js')
    <script>
        $(function () {
            $("#lembaga").DataTable();
            @foreach($lembaga_arr as $lembaga)
            $("#lembaga-{{ $lembaga->id }}").select2();
            @endforeach
        });
    </script>
@stop

resources/views/admin/lembaga/show.blade.php
@extends('adminlte::page')

@section('title', 'Lembaga')

@section('content_header')

@endsection

@section('content')

@endsection